Package org.eclipse.mat.internal.snapshot.inspections

## Enum CompareTablesQuery.Mode

- java.lang.Object
- - java.lang.Enum<CompareTablesQuery.Mode>
  - - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.Mode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CompareTablesQuery.Mode>`

Enclosing class:
  CompareTablesQuery

    public static enum CompareTablesQuery.Mode
    extends java.lang.Enum<CompareTablesQuery.Mode>

### Enum Constant Summary

Enum Constants
`ABSOLUTE`
`DIFF_RATIO_TO_FIRST`
`DIFF_RATIO_TO_PREVIOUS`
`DIFF_TO_FIRST`
`DIFF_TO_PREVIOUS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static CompareTablesQuery.Mode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompareTablesQuery.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ABSOLUTE

    public static final CompareTablesQuery.Mode ABSOLUTE

#### DIFF_TO_FIRST

    public static final CompareTablesQuery.Mode DIFF_TO_FIRST

#### DIFF_TO_PREVIOUS

    public static final CompareTablesQuery.Mode DIFF_TO_PREVIOUS

#### DIFF_RATIO_TO_FIRST

    public static final CompareTablesQuery.Mode DIFF_RATIO_TO_FIRST

#### DIFF_RATIO_TO_PREVIOUS

    public static final CompareTablesQuery.Mode DIFF_RATIO_TO_PREVIOUS

### Method Detail

#### values

    public static CompareTablesQuery.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompareTablesQuery.Mode c : CompareTablesQuery.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompareTablesQuery.Mode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<CompareTablesQuery.Mode>`